View Issue Details

IDProjectCategoryView StatusLast Update
0004867MediaMonkey (current)Framework: Scripts/Extensionspublic2010-12-15 00:05
Reporterpeke 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0004867: Installation of extension can't be aborted
DescriptionCurrently there is no way to abort installation of extension by either MM UI or with internal results from executing scripts by using [Execute] Sections in install.ini
Tagswiki
Fixed in build1300

Relationships

related to 0004518 closedpeke Last.fm Extensions: uninstall doesn't work correctly 

Activities

peke

2008-10-01 03:08

developer   ~0014683

Last edited: 2008-10-02 16:19

Example:
currently you can't abort installation of extension if new version needs that all previous installed versions are uninstalled.

If installation Script Install.vbs searches for existence of SDB.Tools.FileSystem.FileExists(SDB.ApplicationPath&"Scripts\Auto\LastFM_DJ.vbs") and need to abort installation it can't be done currently

peke

2008-10-03 01:22

developer   ~0014703

Last edited: 2008-10-03 01:23

2. As in case of new last.fm scrobbler plugin I think that installation package should end Installation message. Current behavior: "To complete installation please restart MediaMonkey!" -> OK -> "Installation Completed Successfully" -> OK

I think that there is no need for second Info.

jiri

2008-11-11 22:26

administrator   ~0014904

I guess that it would make sense to add an error code as a result of executing a VBS function (optionally). In case the function would return non-zero result, the installation would be aborted.

Ludek

2009-10-02 22:05

developer   ~0019035

Last edited: 2009-10-02 22:14

Fixed both 1) and 2) in build 1300.

i.e. If you use Function instead of Sub and return:
0 - nothing is changed
1 - the "Product Installed Successfully" message will not be shown

* - anything else except for 0 and 1 will result in "Product Instalation Error" message and installation will be aborted (same as for UnInstall process that can be aborted this way too)

@Peke, tested on your LastFM script and works fine, is it sufficient?

peke

2009-10-02 22:09

developer   ~0019036

Last edited: 2009-10-02 22:14

Yes it is.

Is 0 default value if function result is missing?

Ludek

2009-10-02 22:15

developer   ~0019037

yes, 0 is the default, if the 'Sub' is used instead of 'Function'

peke

2010-12-15 00:05

developer   ~0021825

Verified 1334